k_print_tensor {keras} | R Documentation

## Prints `message` and the tensor value when evaluated.

### Description

Note that `print_tensor` returns a new tensor identical to `x` which should be used in the following code. Otherwise the print operation is not taken into account during evaluation.

### Usage

    k_print_tensor(x, message = "")

### Arguments

`x` | Tensor to print.
`message` | Message to print jointly with the tensor.

### Value

The same tensor `x`, unchanged.

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]